<?php


// RedBeanPHP's single file (rb.php) does not support autoloading
require_once(__DIR__ . '/../lib/RedBeanPHP/rb.php');

spl_autoload_register(function($class) {
    $file = '../src/' . str_replace('\\','/', $class) . '.php';
    if(file_exists($file)) { require_once($file); }
});

use FaZeBook\Data;

ini_set("auto_detect_line_endings", true);

$data = Data::getInstance();

$hnd_firstnames = fopen('../data/firstnames.csv', 'r');
if ($hnd_firstnames) {
    $hnd_lastnames = fopen('../data/lastnames.csv', 'r');
    if ($hnd_lastnames) {
        $lastnames = [];
        while (($line = fgets($hnd_lastnames)) !== false) {
            $lastnames[] = trim($line);
        }

        fclose($hnd_lastnames);

        $counter = 0;

        while (($line = fgets($hnd_firstnames)) !== false) {
            $firstname = trim($line);
            // pick random lastname
            $lastname = $lastnames[rand(0, count($lastnames) - 1)];

            $data->addUser($firstname, $lastname, strtolower($firstname) . '.' . strtolower($lastname) . '@example.com', 'geheim');

            $counter++;
            if ($counter % 100 == 0) {
                echo "Ich habe bereits " . $counter . " Benutzer angelegt! \n";
            }
        }
    }
    fclose($hnd_firstnames);
}

?>

Fertig!
